"use strict";

var _interopRequireDefault = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../TextInput"));

var _PasswordInput = _interopRequireDefault(require("../PasswordInput"));

/** Registration form with built-in validation. */
function RegistrationForm(_ref) {
  var user = _ref.user,
      passwordQuality = _ref.passwordQuality,
      onChange = _ref.onChange,
      onSubmit = _ref.onSubmit,
      errors = _ref.errors;
  return _react.default.createElement("div", null, _react.default.createElement(_TextInput.default, {
    htmlId: "registration-form-email",
    name: "email",
    onChange: onChange,
    label: "Email",
    value: user.email,
    error: errors.email,
    required: true
  }), _react.default.createElement(_PasswordInput.default, {
    htmlId: "registration-form-password",
    name: "password",
    value: user.password,
    onChange: onChange,
    quality: passwordQuality,
    showVisibilityToggle: true,
    maxLength: 50,
    error: errors.password
  }), _react.default.createElement("input", {
    type: "submit",
    value: "Register",
    onClick: onSubmit
  }));
}

var _default = RegistrationForm;
exports.default = _default;